package screen

import (
	"bitbucket.org/hevanto/ui/uilayout"
	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/container"
)

func applyPadding(
	e *Element,
	obj fyne.CanvasObject,
) (
	padding fyne.CanvasObject,
) {
	padding = obj
	if e.Padding.HasPadding() {
		padding = container.New(uilayout.NewPadding(
			e.Padding.Top,
			e.Padding.Bottom,
			e.Padding.Left,
			e.Padding.Right,
		), obj)
	}
	return
}
